## stanford-certificate-web 56

=== debian/changelog ===
stanford-certificate-web (56) unstable; urgency=medium

  * Auto Reply: The sendmail functionality has been updated to send emails via SMTP
    using the provided username and password for authentication.

 -- Srinivas Rao Puttagunta <psr123@stanford.edu>  Wed, 19 Mar 2025 17:20:44 -0700

stanford-certificate-web (55) unstable; urgency=medium

  * Small change in user directions to reduce confusion: change
    "www.myserver.edu" to "myserver.stanford.edu" (see also ServiceNow
    ticket TASK00194404).

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 23 Mar 2021 16:56:22 -0700

stanford-certificate-web (54) unstable; urgency=medium

  * Skip the "stanford.edu" and "*.stanford.edu" validation checks when
    submitter is a certreq admin. (Jira CERT-172)

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 03 Nov 2020 10:20:47 -0800

stanford-certificate-web (53) unstable; urgency=medium

  * Fix a misspelling.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 24 Aug 2020 06:53:35 -0700

stanford-certificate-web (52) unstable; urgency=medium

  * Add configuration directive "fqdn_required" that, if set to "YES",
    rejects any certificate requests that contain hostnames that are not
    fully-qualified, that is, do not end in one of ".com", ".edu", ".net",
    ".org", or ".us". If the parameter is not set in the configuration
    file it defaults to "YES". This will prevent submissions of
    certificates where the submitter forgot to add the ".stanford.edu"
    suffix.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 20 Aug 2020 00:11:18 -0700

stanford-certificate-web (51) unstable; urgency=medium

  * Change duration to a fixed value of one year. This is required as all
    Certificate Authorities are no longer issuing two-year certificates as
    of September 2020.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 10 Aug 2020 08:15:37 -0700

stanford-certificate-web (50) unstable; urgency=medium

  * Rewite to use Bootstrap 4.5.
  * Add MOTD (message-of-the-day) support; MOTD page can be set to expire.
  * Add some help links in the "Details" documentation.
  * Use stanford-web-template for standard Stanford header and footer.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sun, 21 Jun 2020 08:20:20 -0700

stanford-certificate-web (49) unstable; urgency=medium

  * Add a maintenance page.
  * Fix bug where we assumed that "! 1" results in "0" (it doesn't). This
    affected the logic used to decide whether or not to use the InCommon
    Test Certificate Manager.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sat, 09 May 2020 09:15:06 -0700

stanford-certificate-web (48) unstable; urgency=medium

  * Replace "http://" with "https://" in several places as well as change
    some links from the old ITServices to University IT. (Jira CERT-160)
  * [netdb-access-info-for-ssl] Change to that script can handle multiple
    nodes returned in Node.search.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 08 Apr 2020 05:38:13 -0700

stanford-certificate-web (46) unstable; urgency=medium

  * [netdb-access-info-for-ssl] Add allowed node types "MX".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 23 Mar 2020 13:43:27 -0700

stanford-certificate-web (45) unstable; urgency=medium

  * [netdb-access-info-for-ssl] Add more allowed node types "IP Addr." and
    "Interface".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 11 Mar 2020 19:05:20 -0700

stanford-certificate-web (44) unstable; urgency=medium

  * [netdb-access-info-for-ssl] Fix another typo.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 04 Mar 2020 11:51:20 -0800

stanford-certificate-web (43) unstable; urgency=medium

  * [netdb-access-info-for-ssl] Allow for cases where the user being
    tested for access does not have a corresponding User object in NetDB.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 04 Mar 2020 09:43:43 -0800

stanford-certificate-web (42) unstable; urgency=medium

  * Fix bugs in netdb-access-info-for-ssl surrounding nodes that are not
    of type Node or Alias. (Thanks to Ben Thai!)
  * Fix spurious "Z" in the certreq cgi-bin file :^(

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 03 Mar 2020 09:47:53 -0800

stanford-certificate-web (41) unstable; urgency=medium

  * Fix bug in the use_prod_netdb function.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 28 Feb 2020 08:08:18 -0800

stanford-certificate-web (40) unstable; urgency=medium

  * When checking if a user has access to a NetDB domain object we now
    also check the domain's Admin field (this is only possible lately: until
    recently NetDB did not have an Admin field for domain objects).
  * Add pandoc man page for netdb-access-info-for-ssl (see
    usr/bin/netdb-access-info-for-ssl.md). So now 'man
    netdb-access-info-for-ssl' yields something useful.
  * If the 'use-prod_netdb' configuration directive is set to "NO" use the
    DEV instance of NetDB.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 21 Feb 2020 10:22:40 -0800

stanford-certificate-web (39) unstable; urgency=medium

  * Add option to skip NetDB check if the logged-in user in admin. The admins
    are listed in the configuration file.
  * Parse CSR to get public key algorithm and, if the public key algorithm
    is ECC signal to the incommon manager script to request an ECC
    certificate. In other words, ECC certificate requests are now
    supported without admin intervention.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 21 Jun 2019 14:40:01 -0700

stanford-certificate-web (38) unstable; urgency=medium

  * Have csr-parse skip any SANs that are exactly the string "stanford.edu".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 12 Feb 2019 09:16:50 -0800

stanford-certificate-web (37) unstable; urgency=medium

  * Exclude the README.md file from the package build.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 30 Jan 2019 10:09:17 -0800

stanford-certificate-web (36) unstable; urgency=medium


