=== debian/control ===
Source: stanford-certificate-web
Section: web
Priority: optional
Maintainer: Adam Henry Lewenberg <adamhl@stanford.edu>
Homepage: https://code.stanford.edu/acs-linux/stanford-certificate-web.git
Build-Depends: debhelper (>= 10), rsync, pandoc
Standards-Version: 4.3.0

Package: stanford-certificate-web
Architecture: all
Depends: jruby,
 libstanford-certificate-perl (>= 88),
 libstanford-certtools-perl (>= 1.00),
 libstanford-orange-util-perl (>= 0.20),
 libappconfig-perl,
 libcgi-formbuilder-perl,
 libdatetime-format-strptime-perl,
 libhtml-template-perl,
 libipc-run-perl,
 libmail-rfc822-address-perl,
 libnetdb-java,
 libyaml-tiny-perl,
 stanford-web-template,
 ${misc:Depends},
 ${perl:Depends}
Description: X.509 certificate request web page that uses the
 libstanford-certificate-perl libraries to automate provisioning from the
 InCommon Certificate Manager site. Access is checked against NetDB.
 The web page reads configuration information from /etc/certreq.
