=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP := debian/$(PACKAGE)

DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	# Convert the pandoc page into a man page
	mkdir -p usr/share/man/man1
	pandoc usr/bin/netdb-access-info-for-ssl.md -f markdown -t man -s \
	  > usr/share/man/man1/netdb-access-info-for-ssl.1
	#
	rsync -C --recursive --links --perms --times \
	  --exclude-from=debian/exclude.rsync --exclude debian $(CURDIR)/ debian/$(PACKAGE)
